AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIReply Class
AGIReply Methods
GetAttribute Method
GetResult Method
GetStatus Method
GetSynopsis Method
GetUsage Method
ToString Method

| AGIReply GetAttribute Method

Returns an additional attribute contained in the reply.
For example the reply to the StreamFileCommand contains an additional endpos attribute indicating the frame where the playback was stopped. This can be retrieved by calling getAttribute("endpos") on the corresponding reply.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string GetAttribute(
    	string name
    )

    Public Function GetAttribute (
    	name As String
    ) As String

    public:
    String^ GetAttribute(
    	String^ name
    )

    member GetAttribute :
            name : string -> string

#### Parameters

name
  Type: System
  String
  the name of the attribute to retrieve. The name is case insensitive.

#### Return Value

Type: String
the value of the attribute or null if it is not set.
See Also

#### Reference

AGIReply Class
AsterNET.FastAGI Namespace